import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';


const jsonUrl =
  'https://gist.githubusercontent.com/vigneswaran009/02901b80f05d78486510f4de67483d63/raw/08046412725e629d1711de2a24fd6578c717fa97/salem_new_map.json'

export const useData = () => {
  const [data, setData] = useState(null);
 console.log(data);
 
  useEffect(() => {
   
    
   
    json(jsonUrl).then(topojsonData => {
    
       const {salem_new} = topojsonData.objects;
    setData(feature(topojsonData,salem_new));  
    });
  }, []);
  
  return data;
};